Name:           fbdesk
Version:        1.4.1
Release:        13%{?dist}

Summary:        Icon Manager for Fluxbox

Group:          User Interface/Desktops
License:        MIT
URL:            http://fluxbox.sourceforge.net/fbdesk/
Source0:        http://fluxbox.sourceforge.net/download/fbdesk-1.4.1.tar.gz

# http://packages.debian.org/wheezy/fbdesk
Patch10:        10-gcc4.3-fixes.patch
Patch11:        20-include-header-cassert.patch
Patch12:        40-option-v.patch

# http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/x11-misc/fbdesk/files/fbdesk-1.4.1-libpng15.patch?revision=1.1
Patch20:        fbdesk-libpng15.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  freetype-devel
BuildRequires:  libpng-devel
BuildRequires:  pkgconfig
BuildRequires:  libICE-devel libSM-devel libX11-devel libXext-devel
BuildRequires:  libXft-devel libXpm-devel libXrender-devel
BuildRequires:  fontconfig-devel
BuildRequires:  imlib2-devel
BuildRequires:  libtool
Requires:       fluxbox

%description
FbDesk is a fluxbox-util application that creates and manages icons on your
Fluxbox desktop.


%prep
%setup -q
%patch10 -p1 -b .gcc43
%patch11 -p1 -b .cassert
%patch12 -p1
%patch20 -b libpng15

%build
%configure --x-includes=%{_includedir} --x-libraries=%{_libdir}
%{__make} %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool

%{__make} check


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%makeinstall


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/*


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 26 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.4.1-12
- fix build with libpng 1.5 (#843218)
- pull some external patches

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-10
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.4.1-8
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 31 2008 Christopher Aillon <caillon@redhat.com> - 1.4.1-4
- Add needed C++ #include directives for GCC 4.3

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.1-3
- Autorebuild for GCC 4.3

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 1.4.1-2
- Rebuilt for gcc43

* Thu Jan 03 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-1
- version upgrade
- fix rpath

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0-3
- rebuild for buildid

* Tue Sep 12 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0-2
- FE6 rebuild

* Thu Mar 30 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0-1
- version upgrade

* Thu Mar 02 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.2.1-3
- add gcc4.1 patch

* Sun Jan 29 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- modular X

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Feb 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.2.1-1
- version upgrade
- droped gcc34 patch

* Wed Nov 17 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 1.1.5-4
- Fix for GCC 3.4, bump release.

* Mon Jul 28 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:1.1.5-0.fdr.3
- partly applied patch provided by Michael Schwendt ( #441 #3 )
- fixed up some minor stuff

* Sun Jul 13 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:1.1.5-0.fdr.2
- Minor fixes to make rpmlint happy

* Fri Jun 27 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:1.1.5-0.fdr.1
- Initial RPM release.
